# Calendio Bookings Enquiry

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/calendio/bookings/enquiry:
    post:
      summary: Calendio Bookings Enquiry
      deprecated: false
      description: Query and filter Calendio bookings
      operationId: BookingsEnquiryAsync
      tags:
        - Venio/Calendio
        - Calendio
      parameters:
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
        - name: Ocp-Apim-Subscription-Key
          in: header
          description: รหัส subscription keyลูกค้า
          required: true
          example: <Your Subscription-Key>
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalendioGetBookingsBffFilterDto'
            examples: {}
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ServiceResponseV2OfListCalendioGetBookingsDto
          headers: {}
          x-apidog-name: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema: &ref_0
                $ref: '#/components/schemas/ServiceResponseV2Error'
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema: *ref_0
          headers: {}
          x-apidog-name: Server Error
      security:
        - bearerAuth: []
          x-apidog:
            schemeGroups:
              - id: uyL_cJmK7q60QJZRTi5ot
                schemeIds:
                  - bearerAuth
            required: true
            use:
              id: uyL_cJmK7q60QJZRTi5ot
            scopes:
              uyL_cJmK7q60QJZRTi5ot:
                bearerAuth: []
      x-codeSamples:
        - lang: cURL
          source: >
            curl -X POST "https://api.gofive.co.th/v1/calendio/bookings/enquiry"
            \
              -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
              -H "Content-Type: application/json" \
              -d '{}'
      x-apidog-folder: Venio/Calendio
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/351895/apis/api-28505057-run
components:
  schemas:
    CalendioGetBookingsBffFilterDto:
      allOf:
        - type: object
          properties:
            skip:
              type: integer
              default: 0
              description: Number of start index to be skipped (Default 0)
            take:
              type: integer
              default: 20
              description: Number of data return per request
            search:
              type: string
              default: ''
              description: Search query keywords
          x-apidog-refs: {}
          x-apidog-orders:
            - skip
            - take
            - search
          x-apidog-ignore-properties: []
        - type: object
          properties:
            customerCodes:
              type: array
              items:
                type: string
              description: รหัสลูกค้าที่จะ Filter
              nullable: true
            emails:
              type: array
              items:
                type: string
              description: Email ที่จะ Filter
              nullable: true
            dateStart:
              type: string
              format: date-time
              description: Filter ตั้งแต่วันที่/เวลา
              nullable: true
            dateEnd:
              type: string
              format: date-time
              description: Filter ถึงวันที่/เวลา
              nullable: true
          x-apidog-orders:
            - customerCodes
            - emails
            - dateStart
            - dateEnd
          x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ServiceResponseV2OfListCalendioGetBookingsDto:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/StatusResponse'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CalendioGetBookingsDto'
      x-apidog-orders:
        - status
        - data
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    CalendioGetBookingsDto:
      type: object
      properties:
        bookingId:
          type: integer
          format: int64
          description: Unique Id ของการจอง
        bookingName:
          type: string
          description: ชื่อการนัดหมาย
          nullable: true
        meetingPlatform:
          $ref: '#/components/schemas/CalendioMeetingPlatform'
          description: Platform การนัดหมาย
        locationLink:
          type: string
          description: ลิงก์การประชุม / ลิงก์แผนที่
          nullable: true
        startTime:
          type: string
          format: date-time
          description: เวลานัดหมายเริ่มต้น
        endTime:
          type: string
          format: date-time
          description: เวลานัดหมายสิ้นสุด
        bookerInfo:
          $ref: '#/components/schemas/CalendioBookerInfo'
          description: รายละเอียดผู้จอง
        hostInfos:
          type: array
          items:
            $ref: '#/components/schemas/CalendioHostInfo'
          description: รายละเอียดผู้รับผิดชอบทั้งหมด
          nullable: true
        otherInfos:
          type: array
          items:
            $ref: '#/components/schemas/CalendioCustomFieldBookedDto'
          description: รายละเอียด Custom Field ต่างๆ
          nullable: true
      x-apidog-orders:
        - bookingId
        - bookingName
        - meetingPlatform
        - locationLink
        - startTime
        - endTime
        - bookerInfo
        - hostInfos
        - otherInfos
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    CalendioCustomFieldBookedDto:
      type: object
      properties:
        label:
          type: string
          description: ชื่อฟิลด์
          nullable: true
        labelEn:
          type: string
          nullable: true
        value:
          type: string
          description: ค่าที่ผู้จองกรอกมา
          nullable: true
      x-apidog-orders:
        - label
        - labelEn
        - value
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    CalendioHostInfo:
      type: object
      properties:
        staffCode:
          type: string
          description: รหัสพนักงาน
          nullable: true
        name:
          type: string
          description: ชื่อจริง-นามสกุล พนักงาน
          nullable: true
      x-apidog-orders:
        - staffCode
        - name
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    CalendioBookerInfo:
      type: object
      properties:
        companyName:
          type: string
          description: ชือบริษัท
          nullable: true
        email:
          type: string
          description: อีเมล
          nullable: true
        phoneNumber:
          type: string
          description: เบอร์โทรศัพท์
          nullable: true
      x-apidog-orders:
        - companyName
        - email
        - phoneNumber
      x-apidog-ignore-properties: []
      nullable: true
      x-apidog-folder: ''
    CalendioMeetingPlatform:
      type: integer
      enum:
        - 1000
        - 1001
        - 1002
        - 1003
      x-enum-varnames:
        - Unknown
        - Onsite
        - GoogleMeet
        - MicrosoftTeam
        - Zoom
      x-apidog-enum:
        - value: 1000
          name: Onsite
          description: ''
        - value: 1001
          name: Google Meet
          description: ''
        - value: 1002
          name: Microsoft Team
          description: ''
        - value: 1003
          name: Zoom
          description: ''
      x-apidog-folder: ''
    StatusResponse:
      type: object
      properties:
        code:
          type: string
          description: >-
            <p>สถานะของ Business Code ถ้า<br>Success = 1000<br>Error 1 ตัว =
            4001<br>Error มากกว่า 1 ตัว = 4002    <br>หรือเป็น Subcode
            ที่ต้องการจะแสดงเพื่อสื่อความหมายของ Error โดย subcode
            จะเป็นตัวเดียวกับ business error code หรือไม่ก็ได้
            เพื่อความสะดวกในการแสดงผล<p>
          examples:
            - '1000'
        description:
          type: string
          description: คำอธิบายข้อความที่จะแสดง
          examples:
            - Success
      x-apidog-orders:
        - code
        - description
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ServiceResponseV2Error:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: string
              examples:
                - '4002'
            description:
              type: string
              examples:
                - Business error with 1 or more errors
          x-apidog-orders:
            - code
            - description
          x-apidog-ignore-properties: []
        data:
          type: object
          properties:
            errors:
              type: array
              items:
                $ref: '#/components/schemas/ErrorResponse'
          x-apidog-orders:
            - errors
          x-apidog-ignore-properties: []
      x-apidog-orders:
        - status
        - data
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ErrorResponse:
      type: object
      properties:
        subCode:
          type: string
          description: Error sub-code (e.g., 'E1101', 'E1102')
          examples:
            - E1101
        description:
          type: string
          description: Error description
          examples:
            - Take is required
        metadata:
          type: object
          description: Additional error metadata
          properties: {}
          x-apidog-orders: []
          x-apidog-ignore-properties: []
          nullable: true
      x-apidog-orders:
        - subCode
        - description
        - metadata
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    bearerAuth:
      type: jwt
      scheme: bearer
      bearerFormat: JWT
      description: ใส่ JWT Token ในรูปแบบ Bearer {token}
    bearer:
      type: bearer
      scheme: bearer
servers:
  - url: https://api.gofive.co.th
    description: Production
security:
  - bearerAuth: []
    x-apidog:
      schemeGroups:
        - id: uyL_cJmK7q60QJZRTi5ot
          schemeIds:
            - bearerAuth
      required: true
      use:
        id: uyL_cJmK7q60QJZRTi5ot
      scopes:
        uyL_cJmK7q60QJZRTi5ot:
          bearerAuth: []

```
